import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ApiGatewayClientCertificateConfig extends TerraformMetaArguments {
    readonly description?: string;
    readonly tags?: {
        [key: string]: string;
    };
}
export declare class ApiGatewayClientCertificate extends TerraformResource {
    constructor(scope: Construct, id: string, config?: ApiGatewayClientCertificateConfig);
    get arn(): string;
    get createdDate(): string;
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    get expirationDate(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get pemEncodedCertificate(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    } | undefined;
    set tags(value: {
        [key: string]: string;
    } | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
