import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface CodebuildSourceCredentialConfig extends TerraformMetaArguments {
    readonly authType: string;
    readonly serverType: string;
    readonly token: string;
    readonly userName?: string;
}
export declare class CodebuildSourceCredential extends TerraformResource {
    constructor(scope: Construct, id: string, config: CodebuildSourceCredentialConfig);
    get arn(): string;
    private _authType;
    get authType(): string;
    set authType(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _serverType;
    get serverType(): string;
    set serverType(value: string);
    private _token;
    get token(): string;
    set token(value: string);
    private _userName?;
    get userName(): string | undefined;
    set userName(value: string | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
