import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsAcmCertificateConfig extends TerraformMetaArguments {
    readonly domain: string;
    readonly keyTypes?: string[];
    readonly mostRecent?: boolean;
    readonly statuses?: string[];
    readonly tags?: {
        [key: string]: string;
    };
    readonly types?: string[];
}
export declare class DataAwsAcmCertificate extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAwsAcmCertificateConfig);
    get arn(): string;
    private _domain;
    get domain(): string;
    set domain(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _keyTypes?;
    get keyTypes(): string[] | undefined;
    set keyTypes(value: string[] | undefined);
    private _mostRecent?;
    get mostRecent(): boolean | undefined;
    set mostRecent(value: boolean | undefined);
    private _statuses?;
    get statuses(): string[] | undefined;
    set statuses(value: string[] | undefined);
    private _tags?;
    get tags(): {
        [key: string]: string;
    } | undefined;
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _types?;
    get types(): string[] | undefined;
    set types(value: string[] | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
