import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsAcmpcaCertificateAuthorityConfig extends TerraformMetaArguments {
    readonly arn: string;
    readonly tags?: {
        [key: string]: string;
    };
    /** revocation_configuration block */
    readonly revocationConfiguration?: DataAwsAcmpcaCertificateAuthorityRevocationConfiguration[];
}
export interface DataAwsAcmpcaCertificateAuthorityRevocationConfigurationCrlConfiguration {
}
export interface DataAwsAcmpcaCertificateAuthorityRevocationConfiguration {
    /** crl_configuration block */
    readonly crlConfiguration?: DataAwsAcmpcaCertificateAuthorityRevocationConfigurationCrlConfiguration[];
}
export declare class DataAwsAcmpcaCertificateAuthority extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAwsAcmpcaCertificateAuthorityConfig);
    private _arn;
    get arn(): string;
    set arn(value: string);
    get certificate(): string;
    get certificateChain(): string;
    get certificateSigningRequest(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get notAfter(): string;
    get notBefore(): string;
    get serial(): string;
    get status(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    } | undefined;
    set tags(value: {
        [key: string]: string;
    } | undefined);
    get type(): string;
    private _revocationConfiguration?;
    get revocationConfiguration(): DataAwsAcmpcaCertificateAuthorityRevocationConfiguration[] | undefined;
    set revocationConfiguration(value: DataAwsAcmpcaCertificateAuthorityRevocationConfiguration[] | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
