import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsAmiIdsConfig extends TerraformMetaArguments {
    readonly executableUsers?: string[];
    readonly nameRegex?: string;
    readonly owners: string[];
    readonly sortAscending?: boolean;
    /** filter block */
    readonly filter?: DataAwsAmiIdsFilter[];
}
export interface DataAwsAmiIdsFilter {
    readonly name: string;
    readonly values: string[];
}
export declare class DataAwsAmiIds extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAwsAmiIdsConfig);
    private _executableUsers?;
    get executableUsers(): string[] | undefined;
    set executableUsers(value: string[] | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get ids(): string[];
    private _nameRegex?;
    get nameRegex(): string | undefined;
    set nameRegex(value: string | undefined);
    private _owners;
    get owners(): string[];
    set owners(value: string[]);
    private _sortAscending?;
    get sortAscending(): boolean | undefined;
    set sortAscending(value: boolean | undefined);
    private _filter?;
    get filter(): DataAwsAmiIdsFilter[] | undefined;
    set filter(value: DataAwsAmiIdsFilter[] | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
