import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsAvailabilityZoneConfig extends TerraformMetaArguments {
    readonly allAvailabilityZones?: boolean;
    readonly name?: string;
    readonly state?: string;
    readonly zoneId?: string;
    /** filter block */
    readonly filter?: DataAwsAvailabilityZoneFilter[];
}
export interface DataAwsAvailabilityZoneFilter {
    readonly name: string;
    readonly values: string[];
}
export declare class DataAwsAvailabilityZone extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataAwsAvailabilityZoneConfig);
    private _allAvailabilityZones?;
    get allAvailabilityZones(): boolean | undefined;
    set allAvailabilityZones(value: boolean | undefined);
    get groupName(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name?;
    get name(): string | undefined;
    set name(value: string | undefined);
    get nameSuffix(): string;
    get networkBorderGroup(): string;
    get optInStatus(): string;
    get region(): string;
    private _state?;
    get state(): string | undefined;
    set state(value: string | undefined);
    private _zoneId?;
    get zoneId(): string | undefined;
    set zoneId(value: string | undefined);
    private _filter?;
    get filter(): DataAwsAvailabilityZoneFilter[] | undefined;
    set filter(value: DataAwsAvailabilityZoneFilter[] | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
