import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsAvailabilityZonesConfig extends TerraformMetaArguments {
    readonly allAvailabilityZones?: boolean;
    readonly blacklistedNames?: string[];
    readonly blacklistedZoneIds?: string[];
    readonly excludeNames?: string[];
    readonly excludeZoneIds?: string[];
    readonly groupNames?: string[];
    readonly state?: string;
    /** filter block */
    readonly filter?: DataAwsAvailabilityZonesFilter[];
}
export interface DataAwsAvailabilityZonesFilter {
    readonly name: string;
    readonly values: string[];
}
export declare class DataAwsAvailabilityZones extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataAwsAvailabilityZonesConfig);
    private _allAvailabilityZones?;
    get allAvailabilityZones(): boolean | undefined;
    set allAvailabilityZones(value: boolean | undefined);
    private _blacklistedNames?;
    get blacklistedNames(): string[] | undefined;
    set blacklistedNames(value: string[] | undefined);
    private _blacklistedZoneIds?;
    get blacklistedZoneIds(): string[] | undefined;
    set blacklistedZoneIds(value: string[] | undefined);
    private _excludeNames?;
    get excludeNames(): string[] | undefined;
    set excludeNames(value: string[] | undefined);
    private _excludeZoneIds?;
    get excludeZoneIds(): string[] | undefined;
    set excludeZoneIds(value: string[] | undefined);
    private _groupNames?;
    get groupNames(): string[] | undefined;
    set groupNames(value: string[] | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get names(): string[];
    private _state?;
    get state(): string | undefined;
    set state(value: string | undefined);
    get zoneIds(): string[];
    private _filter?;
    get filter(): DataAwsAvailabilityZonesFilter[] | undefined;
    set filter(value: DataAwsAvailabilityZonesFilter[] | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
