import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsElasticacheReplicationGroupConfig extends TerraformMetaArguments {
    readonly replicationGroupId: string;
}
export declare class DataAwsElasticacheReplicationGroup extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAwsElasticacheReplicationGroupConfig);
    get authTokenEnabled(): boolean;
    get automaticFailoverEnabled(): boolean;
    get configurationEndpointAddress(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get memberClusters(): string[];
    get nodeType(): string;
    get numberCacheClusters(): number;
    get port(): number;
    get primaryEndpointAddress(): string;
    get replicationGroupDescription(): string;
    private _replicationGroupId;
    get replicationGroupId(): string;
    set replicationGroupId(value: string);
    get snapshotRetentionLimit(): number;
    get snapshotWindow(): string;
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
