import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsKmsSecretsConfig extends TerraformMetaArguments {
    /** secret block */
    readonly secret: DataAwsKmsSecretsSecret[];
}
export interface DataAwsKmsSecretsSecret {
    readonly context?: {
        [key: string]: string;
    };
    readonly grantTokens?: string[];
    readonly name: string;
    readonly payload: string;
}
export declare class DataAwsKmsSecrets extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAwsKmsSecretsConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    plaintext(key: string): string;
    private _secret;
    get secret(): DataAwsKmsSecretsSecret[];
    set secret(value: DataAwsKmsSecretsSecret[]);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
