import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsLambdaLayerVersionConfig extends TerraformMetaArguments {
    readonly compatibleRuntime?: string;
    readonly layerName: string;
    readonly version?: number;
}
export declare class DataAwsLambdaLayerVersion extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAwsLambdaLayerVersionConfig);
    get arn(): string;
    private _compatibleRuntime?;
    get compatibleRuntime(): string | undefined;
    set compatibleRuntime(value: string | undefined);
    get compatibleRuntimes(): string[];
    get createdDate(): string;
    get description(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get layerArn(): string;
    private _layerName;
    get layerName(): string;
    set layerName(value: string);
    get licenseInfo(): string;
    get sourceCodeHash(): string;
    get sourceCodeSize(): number;
    private _version?;
    get version(): number | undefined;
    set version(value: number | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
