import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsRoute53ZoneConfig extends TerraformMetaArguments {
    readonly name?: string;
    readonly privateZone?: boolean;
    readonly resourceRecordSetCount?: number;
    readonly tags?: {
        [key: string]: string;
    };
    readonly vpcId?: string;
    readonly zoneId?: string;
}
export declare class DataAwsRoute53Zone extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataAwsRoute53ZoneConfig);
    get callerReference(): string;
    get comment(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get linkedServiceDescription(): string;
    get linkedServicePrincipal(): string;
    private _name?;
    get name(): string | undefined;
    set name(value: string | undefined);
    get nameServers(): string[];
    private _privateZone?;
    get privateZone(): boolean | undefined;
    set privateZone(value: boolean | undefined);
    private _resourceRecordSetCount?;
    get resourceRecordSetCount(): number | undefined;
    set resourceRecordSetCount(value: number | undefined);
    private _tags?;
    get tags(): {
        [key: string]: string;
    } | undefined;
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _vpcId?;
    get vpcId(): string | undefined;
    set vpcId(value: string | undefined);
    private _zoneId?;
    get zoneId(): string | undefined;
    set zoneId(value: string | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
