import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsVpnGatewayConfig extends TerraformMetaArguments {
    readonly amazonSideAsn?: string;
    readonly attachedVpcId?: string;
    readonly availabilityZone?: string;
    readonly state?: string;
    readonly tags?: {
        [key: string]: string;
    };
    /** filter block */
    readonly filter?: DataAwsVpnGatewayFilter[];
}
export interface DataAwsVpnGatewayFilter {
    readonly name: string;
    readonly values: string[];
}
export declare class DataAwsVpnGateway extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataAwsVpnGatewayConfig);
    private _amazonSideAsn?;
    get amazonSideAsn(): string | undefined;
    set amazonSideAsn(value: string | undefined);
    get arn(): string;
    private _attachedVpcId?;
    get attachedVpcId(): string | undefined;
    set attachedVpcId(value: string | undefined);
    private _availabilityZone?;
    get availabilityZone(): string | undefined;
    set availabilityZone(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _state?;
    get state(): string | undefined;
    set state(value: string | undefined);
    private _tags?;
    get tags(): {
        [key: string]: string;
    } | undefined;
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _filter?;
    get filter(): DataAwsVpnGatewayFilter[] | undefined;
    set filter(value: DataAwsVpnGatewayFilter[] | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
