import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface GlobalacceleratorEndpointGroupConfig extends TerraformMetaArguments {
    readonly endpointGroupRegion?: string;
    readonly healthCheckIntervalSeconds?: number;
    readonly healthCheckPath?: string;
    readonly healthCheckPort?: number;
    readonly healthCheckProtocol?: string;
    readonly listenerArn: string;
    readonly thresholdCount?: number;
    readonly trafficDialPercentage?: number;
    /** endpoint_configuration block */
    readonly endpointConfiguration?: GlobalacceleratorEndpointGroupEndpointConfiguration[];
}
export interface GlobalacceleratorEndpointGroupEndpointConfiguration {
    readonly endpointId?: string;
    readonly weight?: number;
}
export declare class GlobalacceleratorEndpointGroup extends TerraformResource {
    constructor(scope: Construct, id: string, config: GlobalacceleratorEndpointGroupConfig);
    private _endpointGroupRegion?;
    get endpointGroupRegion(): string | undefined;
    set endpointGroupRegion(value: string | undefined);
    private _healthCheckIntervalSeconds?;
    get healthCheckIntervalSeconds(): number | undefined;
    set healthCheckIntervalSeconds(value: number | undefined);
    private _healthCheckPath?;
    get healthCheckPath(): string | undefined;
    set healthCheckPath(value: string | undefined);
    private _healthCheckPort?;
    get healthCheckPort(): number | undefined;
    set healthCheckPort(value: number | undefined);
    private _healthCheckProtocol?;
    get healthCheckProtocol(): string | undefined;
    set healthCheckProtocol(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _listenerArn;
    get listenerArn(): string;
    set listenerArn(value: string);
    private _thresholdCount?;
    get thresholdCount(): number | undefined;
    set thresholdCount(value: number | undefined);
    private _trafficDialPercentage?;
    get trafficDialPercentage(): number | undefined;
    set trafficDialPercentage(value: number | undefined);
    private _endpointConfiguration?;
    get endpointConfiguration(): GlobalacceleratorEndpointGroupEndpointConfiguration[] | undefined;
    set endpointConfiguration(value: GlobalacceleratorEndpointGroupEndpointConfiguration[] | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
