import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface LoadBalancerPolicyConfig extends TerraformMetaArguments {
    readonly loadBalancerName: string;
    readonly policyName: string;
    readonly policyTypeName: string;
    /** policy_attribute block */
    readonly policyAttribute?: LoadBalancerPolicyPolicyAttribute[];
}
export interface LoadBalancerPolicyPolicyAttribute {
    readonly name?: string;
    readonly value?: string;
}
export declare class LoadBalancerPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: LoadBalancerPolicyConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _loadBalancerName;
    get loadBalancerName(): string;
    set loadBalancerName(value: string);
    private _policyName;
    get policyName(): string;
    set policyName(value: string);
    private _policyTypeName;
    get policyTypeName(): string;
    set policyTypeName(value: string);
    private _policyAttribute?;
    get policyAttribute(): LoadBalancerPolicyPolicyAttribute[] | undefined;
    set policyAttribute(value: LoadBalancerPolicyPolicyAttribute[] | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
