import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface OrganizationsPolicyConfig extends TerraformMetaArguments {
    readonly content: string;
    readonly description?: string;
    readonly name: string;
    readonly type?: string;
}
export declare class OrganizationsPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: OrganizationsPolicyConfig);
    get arn(): string;
    private _content;
    get content(): string;
    set content(value: string);
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _type?;
    get type(): string | undefined;
    set type(value: string | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
