import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface Route53HealthCheckConfig extends TerraformMetaArguments {
    readonly childHealthThreshold?: number;
    readonly childHealthchecks?: string[];
    readonly cloudwatchAlarmName?: string;
    readonly cloudwatchAlarmRegion?: string;
    readonly enableSni?: boolean;
    readonly failureThreshold?: number;
    readonly fqdn?: string;
    readonly insufficientDataHealthStatus?: string;
    readonly invertHealthcheck?: boolean;
    readonly ipAddress?: string;
    readonly measureLatency?: boolean;
    readonly port?: number;
    readonly referenceName?: string;
    readonly regions?: string[];
    readonly requestInterval?: number;
    readonly resourcePath?: string;
    readonly searchString?: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly type: string;
}
export declare class Route53HealthCheck extends TerraformResource {
    constructor(scope: Construct, id: string, config: Route53HealthCheckConfig);
    private _childHealthThreshold?;
    get childHealthThreshold(): number | undefined;
    set childHealthThreshold(value: number | undefined);
    private _childHealthchecks?;
    get childHealthchecks(): string[] | undefined;
    set childHealthchecks(value: string[] | undefined);
    private _cloudwatchAlarmName?;
    get cloudwatchAlarmName(): string | undefined;
    set cloudwatchAlarmName(value: string | undefined);
    private _cloudwatchAlarmRegion?;
    get cloudwatchAlarmRegion(): string | undefined;
    set cloudwatchAlarmRegion(value: string | undefined);
    private _enableSni?;
    get enableSni(): boolean | undefined;
    set enableSni(value: boolean | undefined);
    private _failureThreshold?;
    get failureThreshold(): number | undefined;
    set failureThreshold(value: number | undefined);
    private _fqdn?;
    get fqdn(): string | undefined;
    set fqdn(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _insufficientDataHealthStatus?;
    get insufficientDataHealthStatus(): string | undefined;
    set insufficientDataHealthStatus(value: string | undefined);
    private _invertHealthcheck?;
    get invertHealthcheck(): boolean | undefined;
    set invertHealthcheck(value: boolean | undefined);
    private _ipAddress?;
    get ipAddress(): string | undefined;
    set ipAddress(value: string | undefined);
    private _measureLatency?;
    get measureLatency(): boolean | undefined;
    set measureLatency(value: boolean | undefined);
    private _port?;
    get port(): number | undefined;
    set port(value: number | undefined);
    private _referenceName?;
    get referenceName(): string | undefined;
    set referenceName(value: string | undefined);
    private _regions?;
    get regions(): string[] | undefined;
    set regions(value: string[] | undefined);
    private _requestInterval?;
    get requestInterval(): number | undefined;
    set requestInterval(value: number | undefined);
    private _resourcePath?;
    get resourcePath(): string | undefined;
    set resourcePath(value: string | undefined);
    private _searchString?;
    get searchString(): string | undefined;
    set searchString(value: string | undefined);
    private _tags?;
    get tags(): {
        [key: string]: string;
    } | undefined;
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _type;
    get type(): string;
    set type(value: string);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
