import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface VolumeAttachmentConfig extends TerraformMetaArguments {
    readonly deviceName: string;
    readonly forceDetach?: boolean;
    readonly instanceId: string;
    readonly skipDestroy?: boolean;
    readonly volumeId: string;
}
export declare class VolumeAttachment extends TerraformResource {
    constructor(scope: Construct, id: string, config: VolumeAttachmentConfig);
    private _deviceName;
    get deviceName(): string;
    set deviceName(value: string);
    private _forceDetach?;
    get forceDetach(): boolean | undefined;
    set forceDetach(value: boolean | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _instanceId;
    get instanceId(): string;
    set instanceId(value: string);
    private _skipDestroy?;
    get skipDestroy(): boolean | undefined;
    set skipDestroy(value: boolean | undefined);
    private _volumeId;
    get volumeId(): string;
    set volumeId(value: string);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
