import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface WafRegexMatchSetConfig extends TerraformMetaArguments {
    readonly name: string;
    /** regex_match_tuple block */
    readonly regexMatchTuple?: WafRegexMatchSetRegexMatchTuple[];
}
export interface WafRegexMatchSetRegexMatchTupleFieldToMatch {
    readonly data?: string;
    readonly type: string;
}
export interface WafRegexMatchSetRegexMatchTuple {
    readonly regexPatternSetId: string;
    readonly textTransformation: string;
    /** field_to_match block */
    readonly fieldToMatch: WafRegexMatchSetRegexMatchTupleFieldToMatch[];
}
export declare class WafRegexMatchSet extends TerraformResource {
    constructor(scope: Construct, id: string, config: WafRegexMatchSetConfig);
    get arn(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _regexMatchTuple?;
    get regexMatchTuple(): WafRegexMatchSetRegexMatchTuple[] | undefined;
    set regexMatchTuple(value: WafRegexMatchSetRegexMatchTuple[] | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
